
function musicalityPlayPause() {	
	var el = document.getElementsByClassName("pauseButton")[0];
	if (el.style.display != "block")
		el = document.getElementsByClassName("playButton")[0];
	musicalityClick(el);
}


function musicalityNextSong() {
	var el = document.getElementsByClassName("skipButton")[0];
	musicalityClick(el.firstChild);
}


function musicalityLikeSong() {
	var el = document.getElementsByClassName("thumbUpButton")[0];
	musicalityClick(el.firstChild);
}


function musicalityDislikeSong() {
	var el = document.getElementsByClassName("thumbDownButton")[0];
	musicalityClick(el.firstChild);
}


function musicalityUpdateSong(event) {
	var title = musicalityValueOf(".playerBarSong");
	if (!title) return;
	if (title == "ad" || title == "audioad") return;

	var target = event ? event.target : musicalityGetElement(".albumArt");
	var artworkUrl = target.attributes.getNamedItem("src").value;

	var station = musicalityValueOf(".stationChangeSelectorNoMenu p");
	if (!station) {
		station = musicalityValueOf(".stationChangeSelector .textWithArrow div p");
	}

	var artist = musicalityValueOf(".playerBarArtist");
	var album = musicalityValueOf(".playerBarAlbum");

	var el = musicalityGetElement(".thumbUpButton");
	var liked = (el.className.indexOf("indicator") > 0);

	MusicController.didStartSong(station, title, artist, album, artworkUrl, liked, false);
}


function musicalityInstall() {
	var el = musicalityGetElement(".albumArt");
	el.addEventListener("DOMNodeInserted", musicalityUpdateSong, false);
}

musicalityInstall();
musicalityUpdateSong(null);
